declare const _sfc_main: import("vue").DefineComponent<{
    data: {
        type: ObjectConstructor;
        default: () => {};
    };
    index: {
        type: NumberConstructor;
        default: number;
    };
}, {
    params: import("vue").ComputedRef<{
        pageId: string;
    }>;
    visible: import("vue").Ref<boolean>;
    conditionList: import("vue").Ref<{
        [key: string]: any;
    }[]>;
    attribute: import("vue").Ref<{
        [key: string]: any;
    }>;
    handleOk: () => void;
    addCondition: (join?: '||' | '&&') => void;
    onUploadChange: (imgSrc: string) => void;
    imgBaseUrl: import("vue").ComputedRef<any>;
    iconOptions: import("vue").Ref<{
        label: string;
        value: string;
    }[]>;
}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    data: {
        type: ObjectConstructor;
        default: () => {};
    };
    index: {
        type: NumberConstructor;
        default: number;
    };
}>>, {
    data: Record<string, any>;
    index: number;
}, {}>;
export default _sfc_main;
